Bug 1230754 - perl-Test-Vars-0.005-7.fc23: FTBFS with Perl 5.22
Summary: perl-Test-Vars-0.005-7.fc23: FTBFS with Perl 5.22
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-Vars
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/gfx/p5-Test-Vars/i...
Whiteboard:
: 1239785 (view as bug list)
Depends On:
Blocks: 1231903 F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-06-11 13:31 UTC by Jitka Plesnikova
Modified: 2015-08-26 04:33 UTC (History)
3 users (show)

Fixed In Version: 0.008-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 04:33:14 UTC
Type: Bug


Attachments (Terms of Use)
Build log (107.44 KB, text/plain)
2015-06-11 13:31 UTC, Jitka Plesnikova
no flags Details

Description Jitka Plesnikova 2015-06-11 13:31:58 UTC
Created attachment 1037690 [details]
Build log

The build of perl-Test-Vars failed during Perl 5.22 mass rebuild with following errors (only part of errors):

...
Use of uninitialized value $pv in string ne at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 239.
Use of uninitialized value in hash element at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 175.
Use of uninitialized value in concatenation (.) or string at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 183.
#  is used once in &Warned1::foo 
#   Failed test 't/lib/Warned1.pm'
#   at t/04_ignores.t line 8.
Use of uninitialized value $pv in string ne at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 239.
Use of uninitialized value in hash element at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 175.
Use of uninitialized value in concatenation (.) or string at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 183.
#  is used once in &Warned1::foo 
#   Failed test 't/lib/Warned1.pm'
#   at t/04_ignores.t line 9.
Use of uninitialized value $pv in string ne at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 239.
Use of uninitialized value in hash element at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 175.
Use of uninitialized value $_ in pattern match (m//) at t/04_ignores.t line 10.
Use of uninitialized value in concatenation (.) or string at /builddir/build/BUILD/Test-Vars-0.005/blib/lib/Test/Vars.pm line 183.
#  is used once in &Warned1::foo 
#   Failed test 't/lib/Warned1.pm'
#   at t/04_ignores.t line 10.
# Looks like you failed 3 tests of 3.
t/04_ignores.t ...... 
Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/3 subtests 
Test Summary Report
-------------------
t/01_self.t       (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
t/02_no_warnings.t (Wstat: 1536 Tests: 24 Failed: 6)
  Failed tests:  1, 3, 7, 11, 19, 23
  Non-zero exit status: 6
t/04_ignores.t    (Wstat: 768 Tests: 3 Failed: 3)
  Failed tests:  1-3
  Non-zero exit status: 3

Koji build: https://koji.fedoraproject.org/koji/buildinfo?buildID=643289

Comment 1 Paul Howarth 2015-07-06 07:53:06 UTC
*** Bug 1239785 has been marked as a duplicate of this bug. ***

Comment 2 Jan Kurik 2015-07-15 14:01:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora Update System 2015-08-20 06:59:13 UTC
perl-Test-Vars-0.007-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1230754

Comment 4 Fedora Update System 2015-08-20 10:04:04 UTC
perl-Test-Vars-0.008-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1230754

Comment 5 Fedora Update System 2015-08-22 16:25:39 UTC
perl-Test-Vars-0.008-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Test-Vars'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13810

Comment 6 Fedora Update System 2015-08-26 04:33:12 UTC
perl-Test-Vars-0.008-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.